"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("./service-info.css");
var react_1 = __importDefault(require("react"));
require("bootstrap/dist/css/bootstrap.min.css");
var apollo_boost_1 = require("apollo-boost");
var react_hooks_1 = require("@apollo/react-hooks");
var error_1 = __importDefault(require("../dashboard/service-vision-container/error/error"));
var ServiceInfo = function () {
    var _a = react_hooks_1.useQuery(apollo_boost_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n        {\n            serviceInfo{\n                url\n                lastRequestTime\n            }\n        }\n    "], ["\n        {\n            serviceInfo{\n                url\n                lastRequestTime\n            }\n        }\n    "]))), { pollInterval: 500, fetchPolicy: 'no-cache' }), loading = _a.loading, error = _a.error, data = _a.data;
    if (loading)
        return (react_1.default.createElement("div", { className: "Service-Info" },
            react_1.default.createElement("p", null, "Loading..")));
    if (error)
        return (react_1.default.createElement("div", { className: "Service-Info" },
            react_1.default.createElement(error_1.default, null)));
    var cacheServiceInfo = { url: '----', lastRequestTime: '----' };
    if (data) {
        cacheServiceInfo = data.serviceInfo;
    }
    return (react_1.default.createElement("div", { className: "Service-Info" },
        react_1.default.createElement("h2", null, "Service Information"),
        react_1.default.createElement("ul", { dir: "ltr", className: "text-left" },
            react_1.default.createElement("li", null,
                "Monitored Service is ",
                react_1.default.createElement("b", null, data ? data.serviceInfo.url : cacheServiceInfo.url)),
            react_1.default.createElement("li", null,
                "Last Request Received on",
                react_1.default.createElement("b", null, data ? data.serviceInfo.lastRequestTime : cacheServiceInfo.lastRequestTime)),
            react_1.default.createElement("li", null,
                "Service is ",
                react_1.default.createElement("b", { className: "text-success" }, error ? 'Dead' : 'Alive')))));
};
exports.default = ServiceInfo;
var templateObject_1;
